Bug 177868 - Synaptics vertical scroll broken in 2.6.15
Synaptics vertical scroll broken in 2.6.15
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-15 17:06 EST by Robert Hancock
Modified: 2015-01-04 17:24 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-03 22:29:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Differences in dmesg output between working and non-working kernels (10.91 KB, text/plain)
2006-01-15 17:09 EST, Robert Hancock
no flags Details

  None (edit)
Description Robert Hancock 2006-01-15 17:06:34 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
In the above kernel version (from updates-testing) the Synaptics touchpad vertical scrolling does not work. I did not do anything to set this up after installing, it just worked. If I reboot back into the previous kernel I had, 2.6.14-1.1653_FC4, it works again.

I don't know if this is a configuration problem or a bug, but it appears as a regression.

I see that there is an 1824 release out, but I didn't see any changes related to this in the changelog.

Version-Release number of selected component (if applicable):
kernel-2.6.15-1.1823_FC4

How reproducible:
Always

Steps to Reproduce:
1. Update to above kernel
2. Try to use vertical scroll area on touchpad
3.
  

Actual Results:  Mouse pointer moves up and down vertically.

Expected Results:  Scroll up/down events triggered.

Additional info:
Comment 1 Robert Hancock 2006-01-15 17:09:45 EST
Created attachment 123226 [details]
Differences in dmesg output between working and non-working kernels
Comment 2 Robert Hancock 2006-01-15 17:12:10 EST
/proc/bus/input/devices from 2.6.14:

I: Bus=0011 Vendor=0001 Product=0001 Version=ab41
N: Name="AT Translated Set 2 keyboard"
P: Phys=isa0060/serio0/input0
H: Handlers=kbd event0
B: EV=120013
B: KEY=4 2000078 3802078 f840d001 f2ffffdf ffefffff ffffffff fffffffe
B: MSC=10
B: LED=7

I: Bus=0011 Vendor=0002 Product=0007 Version=0000
N: Name="SynPS/2 Synaptics TouchPad"
P: Phys=isa0060/serio4/input0
H: Handlers=mouse0 event1
B: EV=b
B: KEY=6420 0 70000 0 0 0 0 0 0 0 0
B: ABS=11000003

and from 2.6.15:

I: Bus=0011 Vendor=0001 Product=0001 Version=ab41
N: Name="AT Translated Set 2 keyboard"
P: Phys=isa0060/serio0/input0
S: Sysfs=/class/input/input0
H: Handlers=kbd event0
B: EV=120013
B: KEY=4 2000078 3802078 f840d001 f2ffffdf ffefffff ffffffff fffffffe
B: MSC=10
B: LED=7

I: Bus=0011 Vendor=0002 Product=0007 Version=0000
N: Name="SynPS/2 Synaptics TouchPad"
P: Phys=isa0060/serio4/input0
S: Sysfs=/class/input/input1
H: Handlers=mouse0 event1
B: EV=b
B: KEY=6420 0 70000 0 0 0 0 0 0 0 0
B: ABS=11000003

Only differences are the added Sysfs line and some differences in the B: values.
Comment 3 Robert Hancock 2006-01-16 22:37:42 EST
From what I can tell it seems a newer version of udev is needed for 2.6.15.
There are no entries for the touchpad being created in /dev/input. This causes
the Synaptics driver to fail to load and results in no Synaptics-specific
functionality.

Unfortunately it seems there is no updated udev for FC4 currently available.
Comment 4 Dave Jones 2006-01-17 00:27:35 EST
*nod*, the udev update hasn't been built yet, and there's a bug filed on it
already, though I don't have the number handy to dupe against right now.
Comment 5 Dave Jones 2006-02-03 02:21:47 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 6 Robert Hancock 2006-02-03 21:13:16 EST
Verified working with the current kernel and udev versions.

Note You need to log in before you can comment on or make changes to this bug.